Subject: Re: Does Cygwin's `-mno-cygwin' need Mingw?
From: Fergus Henderson <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Oct 2000 01:44:20 +1100

On 16-Oct-2000, Earnie Boyd <[email-masked]> wrote:
> --- Chris Faylor <[email-masked]> wrote:
> > On Mon, Oct 16, 2000 at 09:51:11AM -0700, Earnie Boyd wrote:
> > >
> > >The -mno-cygwin switch of the Cygwin product is not considered MinGW by
> > >the MinGW development team.  MinGW has it's own set of GCC/binutils
> > >tools.  We are currently in the process of preparing a more upto date
> > >package.

OK, I have some follow-up questions:

	- Is there much difference between the two?

	- Is there an official name for the `-mno-cygwin' option of Cygwin?
	  "The -mno-cygwin switch of the Cygwin product" is a bit wordy.
	  (Perhaps it should be called "Clayton's Cygwin" ;-)
	
	- Cygwin and "Cygwin -mno-cygwin" are sufficiently different that
	  I think it would make sense for them to have different autoconf
	  canonical system names -- after all, Mingw has a different name,
	  and "Cygwin -mno-cygwin" is closer to Mingw than to Cygwin.
	  Currently autoconf seems to configure as "i*86-pc-cygwin",
	  even if you invoke configure as "CC='gcc -mno-cygwin' ./configure".
	  Should it configure report the host system type as "i*86-pc-mingw"
	  in that situation?  Or should we invent a new name for that?
	  If so, what should it be?

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.

--
Want to unsubscribe from this list?
Send a message to [email-masked]